Bug 156251 - [PATCH] Enable module by default for www/mod_fastcgi
Summary: [PATCH] Enable module by default for www/mod_fastcgi
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-07 14:50 UTC by dennylin93
Modified: 2015-05-12 19:03 UTC (History)
0 users

See Also:


Attachments
Makefile.patch (413 bytes, patch)
2011-04-07 14:50 UTC, dennylin93
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dennylin93 2011-04-07 14:50:05 UTC
The module installed by www/mod_fastcgi is disabled by default, but it would be desirable to have it enabled by default rather than deleting the comment every time it is installed or reinstalled.

Another way to make it enabled by default is to change bsd.apache.mk:
do-install:
        @${APXS} -i -A -n ${SHORTMODNAME} ${WRKSRC}/${MODULENAME}.${AP_BUILDEXT}

and replace -A with -a. This will affect other ports though.
Comment 1 Edwin Groothuis freebsd_committer 2011-04-07 14:50:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->apache

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci freebsd_committer 2012-01-17 05:44:08 UTC
Responsible Changed
From-To: apache->pgollucci

I will take it.
Comment 3 dfilter service freebsd_committer 2012-01-18 04:31:42 UTC
pgollucci    2012-01-18 04:31:26 UTC

  FreeBSD ports repository

  Modified files:
    www/mod_fastcgi      Makefile 
  Added files:
    www/mod_fastcgi/files patch-mod_fastcgi.c 
  Log:
  - Pull upstream patch 2613 so as not to conflict with mod_deflate [1]
    (http://article.gmane.org/gmane.comp.web.fastcgi)
  - Enable module by default [2]
  
  PR:             ports/156251 [2] ports/163199 [1]
  Submitted by:   Denny Lin <dennylin93@hs.ntnu.edu.tw> [1]
                  Gea-Suan Lin <gslin@gslin.org> [2]
  With Hat:       apache@
  
  Revision  Changes    Path
  1.30      +4 -1      ports/www/mod_fastcgi/Makefile
  1.1       +14 -0     ports/www/mod_fastcgi/files/patch-mod_fastcgi.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Philip M. Gollucci freebsd_committer 2012-01-18 04:31:44 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 5 commit-hook freebsd_committer 2015-05-12 19:03:58 UTC
A commit references this bug:

Author: mi
Date: Tue May 12 19:03:32 UTC 2015
New revision: 386168
URL: https://svnweb.freebsd.org/changeset/ports/386168

Log:
  Fix the build in the case of newer JUnit, that, in its turn, uses hamcrest now.
  Upgrade from 6.1.5 to 6.2.31. Based on:

  PR:		156251
  Submitted by:	pi

  Now that the test-target fully works, add "regression-test" alias to it so it
  can be used for that purpose.

Changes:
  head/java/berkeley-db/Makefile
  head/java/berkeley-db/distinfo
  head/java/berkeley-db/files/patch-junit
  head/java/berkeley-db/pkg-descr